Bug 202574 - [patch] fix editors/emacs* build with FORTIFY_SOURCE - fix a misused umask parameter
Summary: [patch] fix editors/emacs* build with FORTIFY_SOURCE - fix a misused umask pa...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ashish SHUKLA
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-08-22 16:34 UTC by Oliver Pinter
Modified: 2015-08-24 08:21 UTC (History)
3 users (show)

See Also:
ashish: maintainer-feedback+
ashish: merge-quarterly-


Attachments
editors-emacs.diff (1.81 KB, application/mbox)
2015-08-22 16:34 UTC, Oliver Pinter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Pinter freebsd_committer 2015-08-22 16:34:40 UTC
Created attachment 160215 [details]
editors-emacs.diff
Comment 1 Johannes Jost Meixner freebsd_committer 2015-08-22 17:11:54 UTC
Assign to ashish@ (maintainer)
Comment 2 Ashish SHUKLA freebsd_committer 2015-08-22 19:48:03 UTC
Hi,

Could you please report these upstream, if you've not already done so ?

I'll test/build with these diffs, and get back to you, if any issues.

Thanks!
Comment 3 Oliver Pinter freebsd_committer 2015-08-22 19:50:58 UTC
already done: http://lists.gnu.org/archive/html/bug-gnu-emacs/2015-08/msg00445.html
Comment 4 commit-hook freebsd_committer 2015-08-23 21:19:34 UTC
A commit references this bug:

Author: ashish
Date: Sun Aug 23 21:19:18 UTC 2015
New revision: 395132
URL: https://svnweb.freebsd.org/changeset/ports/395132

Log:
  - Add patches to fix misused umask parameter, caught with FORTIFY_SOURCE

  PR:		202574
  Submitted by:	op

Changes:
  head/editors/emacs/Makefile
  head/editors/emacs/files/patch-src_unexaix.c
  head/editors/emacs/files/patch-src_unexcoff.c
  head/editors/emacs/files/patch-src_unexelf.c
Comment 5 Ashish SHUKLA freebsd_committer 2015-08-24 08:21:54 UTC
Thanks, the changes are committed.

I'm merging to quarterly branch, as this does not seem like a security issue, and nor intrusive to experience, IMHO.